Refresh oracle prices from Finnhub
curl --request POST \
--url https://api-421614.alphagrid.capital/prices/refreshimport requests
url = "https://api-421614.alphagrid.capital/prices/refresh"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api-421614.alphagrid.capital/prices/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"updated": 8,
"skipped": false,
"reason": "FINNHUB_API_KEY not set",
"transactionHash": "0xabc..."
}{
"error": "<string>",
"updated": 123,
"skipped": true,
"reason": "<string>"
}{
"error": "<string>",
"updated": 123,
"skipped": true,
"reason": "<string>"
}Tokens
Refresh oracle prices from Finnhub
Fetches latest quotes for catalog symbols and submits MockPriceOracle.setPrices on-chain. Same logic as the scheduled keeper. Optional Authorization: Bearer <ORACLE_REFRESH_SECRET> when that env var is set.
POST
/
prices
/
refresh
Refresh oracle prices from Finnhub
⌘I